geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ted Kirby (JIRA)" <j...@apache.org>
Subject [jira] Updated: (GERONIMODEVTOOLS-467) Can't uninstall runtime after installing it via eclipse update manager in Ganymede
Date Sat, 09 Aug 2008 14:56:45 GMT

     [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-467?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ted Kirby updated GERONIMODEVTOOLS-467:
---------------------------------------

    Attachment: GD467.txt

This issue is getting worse.  If I uninstall GEP Server adapters, I cannot reinstall them!
 I get "The software items you selected may not be valid with your current installation".
 I open the window to review the selections, and get an incredibly log list of problems, which
I will attach as a file, but here is the first one:

Cannot complete the request.  See the details.
Cannot find a solution where both Match[requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.feature.jar/[2.0.2.v200802150100-7B-7_8dDTOvmuz0di_U5vgUfz0em,2.0.2.v200802150100-7B-7_8dDTOvmuz0di_U5vgUfz0em]]
and Match[requiredCapability: org.eclipse.equinox.p2.iu/org.eclipse.jst.feature.jar/[2.0.3.v200806252211-7B-7A8dDTP3YMr8VaC7iPTrpMx15,2.0.3.v200806252211-7B-7A8dDTP3YMr8VaC7iPTrpMx15]]
can be satisfied.

I still get this problem even if I try to revert to a previous configuration with any GEP
artifacts installed, or, more radical yet, re-install eclipse, start with -clean, and open
a clean workspace.  I can't imagine where state is being saved.

> Can't uninstall runtime after installing it via eclipse update manager in Ganymede
> ----------------------------------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-467
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-467
>             Project: Geronimo-Devtools
>          Issue Type: Sub-task
>          Components: eclipse-plugin
>    Affects Versions: 2.1.2
>            Reporter: Ted Kirby
>            Assignee: Tim McConnell
>             Fix For: 2.1.2
>
>         Attachments: GD467.txt
>
>
> The WTP server adatper features install with p2, but p2 can't handle the runtime, and
brings up the old update manager to install it.  I cannot then uninstall the runtime.
> Can we remove the runtime altogether?  I think the predominant scenario is the user install
Geronimo separately, then uses GEP to develop apps on it.  I don't think eclipse is used to
download Geronimo.  If a user does this, the Download and Install button on a defined server
is the easiest way to do it, especially given the extra work of pre-req checking, and reverting
to the old eclipse update manager.  Probably the runtime feature needs to be there for Download
and Install to work.  We just my need to update our doc...

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message